Summary:        Objects that represent a cookie jar
Name:           perl-HTTP-Cookies
Version:        6.11
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Cookies
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Cookies-%{version}.tar.gz
BuildArch:      noarch
# Building
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(:VERSION), perl(ExtUtils::MakeMaker), perl(strict), perl(warnings)
# Run-time:
BuildRequires:  perl(Carp), perl(HTTP::Date), perl(HTTP::Headers::Util), perl(HTTP::Request), perl(locale)
# Tests:
BuildRequires:  perl(File::Spec), perl(HTTP::Response), perl(Test), perl(Test::More), perl(URI)
Requires:       perl(Carp)
Requires:       perl(HTTP::Date)
Requires:       perl(HTTP::Headers::Util)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\((HTTP::Date|HTTP::Headers::Util|Win32)\\)$

%description
This class is for objects that represent a "cookie jar" -- that is, a database
of all the HTTP cookies that a given LWP::UserAgent object knows about.



%prep
%autosetup -n HTTP-Cookies-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
make test



%files
%license LICENSE
%doc Changes CONTRIBUTORS README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.11-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.11-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 6.11-1
- Upgrade to version 6.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.10-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.10-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.10-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 6.10-1
- Initial building.
